<?php
/*------------------------------------------------------------------------
# mod_ospropertyquicksearch.php - OS Property search module
# ------------------------------------------------------------------------
# author    Dang Thuc Dam
# copyright Copyright (C) 2010 joomdonation.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomdonation.com
# Technical Support:  Forum - http://www.joomdonation.com/forum.html
*/
/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');
error_reporting(E_ERROR||E_NOTICE||E_PARSE||E_CORE_ERROR||E_USER_ERROR);
//error_reporting(E_ALL);
define('DS',DIRECTORY_SEPARATOR);
$db = JFactory::getDbo();
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root().'modules/mod_ospropertyquicksearch/asset/style.css');
$document->addScript(JURI::root().'components/com_osproperty/js/ajax.js');
include_once(JPATH_ROOT.DS."components".DS."com_osproperty".DS."helpers".DS."common.php");
include_once(JPATH_ROOT.DS."administrator".DS."components".DS."com_osproperty".DS."helpers".DS."extrafields.php");
require_once(JPATH_ROOT.DIRECTORY_SEPARATOR."components".DIRECTORY_SEPARATOR."com_osproperty".DIRECTORY_SEPARATOR."helpers".DIRECTORY_SEPARATOR."helper.php");
require_once dirname(__FILE__).'/helper.php';
if (version_compare(JVERSION, '3.0', 'lt')) {
	OSPHelper::loadBootstrapStylesheet();
}else{
	$db = Jfactory::getDBO();
	$db->setQuery("Select fieldvalue from #__osrs_configuration where fieldname like 'load_bootstrap'");
	$loadbootstrap = $db->loadResult();
	if($loadbootstrap == 1){
		OSPHelper::loadBootstrapStylesheet();	
	}
}
$db = JFactory::getDBO();
$db->setQuery("Select * from #__osrs_configuration");
$configs = $db->loadObjectList();
$configClass = array();
foreach ($configs as $config) {
	$configClass[$config->fieldname] = $config->fieldvalue;
}
$show_category 			= $params->get('show_category',0);
$show_type 				= $params->get('show_type',0);
$show_price			 	= $params->get('show_price',0);
$show_address			= $params->get('show_address',0);
$show_bathroom			= $params->get('show_bathroom',0);
$show_bedroom			= $params->get('show_bedroom',0);
$inputbox_width_site	= $params->get('inputbox_width_site',150);
$moduleclass_sfx		= $params->get('moduleclass_sfx','');
$samepage				= $params->get('samepage',1);
$random_id				= $module->id;
$city					= JRequest::getVar('city',0);
$state_id				= JRequest::getVar('state_id',0);
$country_id				= JRequest::getVar('country_id',0);

$typeArr[] = JHTML::_('select.option','',JText::_('Sale Type'));
$db->setQuery("Select id as value,type_name as text from #__osrs_types where published = '1' order by type_name");
$protypes = $db->loadObjectList();
$typeArr   = array_merge($typeArr,$protypes);
$lists['type'] = JHTML::_('select.genericlist',$typeArr,'property_type','style="width:'.$inputbox_width_site.'px;" class="input-large"','value','text',JRequest::getVar('property_type',''));

if($show_category == 1){
	/**
	 * Build the select list for parent menu item
	 */
}

// price
$price			= JRequest::getVar('price',0);
$lists['price'] = HelperOspropertyCommon::generatePriceList(0,$price);

// number bath room
$nbath = Jrequest::getVar('nbath',0);
$bathArr[] = JHTML::_('select.option','',JText::_('Min baths'));
for($i=1;$i<=5;$i++){
	$bathArr[] = JHTML::_('select.option',$i,$i.'+');
}
$lists['nbath'] = JHTML::_('select.genericlist',$bathArr,'nbath',' class="input-mini" style="width:100px;"','value','text',$nbath);


//number bed room
$nbed = Jrequest::getVar('nbed',0);
$lists['nbed'] = $nbed;
$bedArr[] = JHTML::_('select.option','',JText::_('Min beds'));
for($i=1;$i<=5;$i++){
	$bedArr[] = JHTML::_('select.option',$i,$i.'+');
}
$lists['nbed'] = JHTML::_('select.genericlist',$bedArr,'nbed','class="input-mini" style="width:100px;"','value','text',$nbed);

//number bed room
$nroom = Jrequest::getVar('nroom',0);
$lists['room'] = $nroom;
$roomArr[] = JHTML::_('select.option','',JText::_('OS_ANY'));
for($i=1;$i<=5;$i++){
	$roomArr[] = JHTML::_('select.option',$i,$i.'+');
}
$lists['nroom'] = JHTML::_('select.genericlist',$roomArr,'nroom','class="input-mini" style="width:100px;"','value','text',$nroom);

$lists['country'] = HelperOspropertyCommon::makeCountryList($country_id,'mcountry_id'.$random_id,'class="input-large" onchange="change_country_companyModule'.$random_id.'(this.value,0,0,'.$random_id.')"',JText::_('- All Countries -'),'');
		
$lists['state'] = HelperOspropertyCommon::makeStateList($country_id,$state_id,'mstate_id'.$random_id,'class="input-large" onchange="change_stateModule'.$random_id.'(this.value,'.$city.','.$random_id.')"',JText::_('- All States -'),'');
//list city
$lists['city'] = modOspropertyQuickSearchHelper::loadCity($option,$state_id, $city,$random_id);

require( JModuleHelper::getLayoutPath( 'mod_ospropertyquicksearch' ) );
?>